%define upstream_name    Mojolicious-Plugin-AssetPack
%define upstream_version 2.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Preprocessor for CoffeeScript
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Which) >= 1.210.0
BuildRequires: perl(IPC::Run3) >= 0.48.0
BuildRequires: perl(Mojolicious) >= 9.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
the Mojolicious::Plugin::AssetPack manpage is a the Mojolicious manpage
plugin which can be used to cram multiple assets of the same type into one
file. This means that if you have a lot of CSS files (.css, .less, .sass,
...) as input, the AssetPack can make one big CSS file as output. This is
good, since it will often speed up the rendering of your page. The output
file can even be minified, meaning you can save bandwidth and browser
parsing time.

The core preprocessors that are bundled with this module can handle CSS and
JavaScript files, written in many languages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 2.150.0-2.mga10
+ Revision: 2234493
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 2.150.0-1.mga10
+ Revision: 2141587
- update to 2.15

* Fri Feb 03 2023 tv <tv> 2.140.0-1.mga9
+ Revision: 1937863
- update to 2.14

* Wed Mar 23 2022 umeabot <umeabot> 2.130.0-2.mga9
+ Revision: 1820626
- Mageia 9 Mass Rebuild

* Tue Mar 16 2021 tv <tv> 2.130.0-1.mga9
+ Revision: 1703730
- update to 2.13

* Fri Mar 12 2021 tv <tv> 2.120.0-1.mga9
+ Revision: 1701685
- update to 2.12

* Thu Feb 25 2021 tv <tv> 2.110.0-1.mga9
+ Revision: 1691409
- update to 2.11

* Sat Dec 12 2020 tv <tv> 2.100.0-1.mga8
+ Revision: 1655782
- update to 2.10

* Tue Sep 08 2020 tv <tv> 2.90.0-1.mga8
+ Revision: 1623605
- update to 2.09

* Sat Feb 15 2020 umeabot <umeabot> 2.80.0-2.mga8
+ Revision: 1526811
- Mageia 8 Mass Rebuild

* Sun Jun 30 2019 tv <tv> 2.80.0-1.mga8
+ Revision: 1416431
- update to 2.08

* Sat Oct 20 2018 tv <tv> 2.60.0-1.mga7
+ Revision: 1322686
- update to 2.06

* Thu Sep 20 2018 umeabot <umeabot> 1.460.0-3.mga7
+ Revision: 1284958
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.460.0-2.mga7
+ Revision: 1165570
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 1.460.0-1.mga7
+ Revision: 1160868
- update to 1.46

* Sun Sep 24 2017 sander85 <sander85> 1.450.0-1.mga7
+ Revision: 1158465
- update to 1.45

* Sun May 08 2016 shlomif <shlomif> 1.70.0-1.mga6
+ Revision: 1010679
- update to 1.07

* Tue Dec 22 2015 doktor5000 <doktor5000> 0.690.0-1.mga6
+ Revision: 913440
- imported package perl-Mojolicious-Plugin-AssetPack


* Tue Dec 22 2015 cpan2dist 0.69-1mga
- initial mageia release, generated with cpan2dist
